---
title: NavigatorLanguage
slug: Web/API/NavigatorLanguage
tags:
  - API
  - HTML-DOM
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p><code><strong>NavigatorLanguage</strong></code> contains methods and properties related to the language of the navigator.</p>

<p>There is no object of type <code>NavigatorLanguage</code>, but other interfaces, like {{domxref("Navigator")}} or {{domxref("WorkerNavigator")}}, implement it.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>NavigatorLanguage</code></em><em> interface doesn't inherit any property.</em></p>

<dl>
 <dt>{{domxref("NavigatorLanguage.language")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} representing the preferred language of the user, usually the language of the browser UI. The <code>null</code> value is returned when this is unknown.</dd>
 <dt>{{domxref("NavigatorLanguage.languages")}} {{readonlyInline}}</dt>
 <dd>Returns an array of {{domxref("DOMString")}} representing the languages known to the user, by order of preference.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The <code>NavigatorLanguage</code> interface neither implements, nor inherit any method.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#navigatorlanguage', 'NavigatorLanguage')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Since the {{SpecName('HTML5 W3C')}} snapshot, the <code>languages</code> property has been added.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', '#navigatorlanguage', 'NavigatorLanguage')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial specification; snapshot of an early version {{SpecName('HTML WHATWG')}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorLanguage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Navigator")}} interface that implements it.</li>
</ul>
